/*==========================================
BINGKAI FORM INPUT BUKU
==========================================*/
.main-page-input {
    width:100%;
    margin:auto;
}

/*==========================================
FORM
==========================================*/
.book-form{
    display:flex;
    flex-direction:column;
    gap:25px;
}

.form-card{
    background:#fff;
    border-radius:18px;
    padding:20px;
    box-shadow:var(--shadow);
}

.form-title{
    font-size:14px;
    font-weight:300;
    margin-bottom:15px;
    display:flex;
    align-items:center;
    gap:10px;
    color:#2563eb;
}

.form-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:22px;
}

.form-group{
    display:flex;
    flex-direction:column;
}

.form-group label{
    font-size:14px;
    font-weight:600;
    margin-bottom:8px;
}

.form-group input,
.form-group select,
textarea{
    width:100%;
    padding:14px 16px;
    border:1px solid #dce3ef;
    border-radius:12px;
    outline:none;
    font-size:14px;
    transition:.3s;
    font-family:Poppins,sans-serif;
}

.form-group input:focus,
.form-group select:focus,
textarea:focus{
    border-color:#2563eb;
    box-shadow:0 0 0 4px rgba(37,99,235,.08);
}

textarea{ resize:vertical; }

/*==========================================
UPLOAD
==========================================*/
.upload-box{
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    height:auto;
    border:2px dashed #cfd8e3;
    border-radius:18px;
    cursor:pointer;
    transition:.3s;
    text-align:center;
}

.upload-box:hover{
    border-color:#2563eb;
    background:#f8fbff;
}

.upload-box i{
    font-size:25px;
    color:#2563eb;
    margin-top:18px;
}

.upload-box h3{ margin-top:8px; font-size:14px; }

.upload-box p{ color:#888; font-size:14px; }

/*==========================================
BUTTON
==========================================*/
.form-button{
    display:flex;
    justify-content:flex-end;
    gap:15px;
}

.btn-save{
    background:#2563eb;
    color:#fff;
    border:none;
    padding:14px 28px;
    border-radius:12px;
    cursor:pointer;
    font-weight:600;
}

.btn-save:hover{ background:#1d4ed8; }

.btn-cancel{
    background:#e5e7eb;
    color:#444;
    border:none;
    padding:14px 28px;
    border-radius:12px;
    cursor:pointer;
}

.btn-cancel:hover{ background:#d1d5db; }

.btn-secondary{
    background:#fff;
    border:1px solid #dce3ef;
    padding:12px 20px;
    border-radius:12px;
    cursor:pointer;
}

/*==========================================
RESPONSIVE
==========================================*/
@media(max-width:768px){
    .form-grid{ grid-template-columns:1fr; }
    .form-button{ flex-direction:column; }
    .btn-save,
    .btn-cancel{ width:100%; }
}

/* TAMBAHAN KE DUA */

/*=========================================
    LAYOUT
=========================================*/
.book-layout{
    display:grid;
    grid-template-columns:2fr 1fr;
    gap:25px;
    align-items:start;
}

.left-column,
.right-column{
    display:flex;
    flex-direction:column;
    gap:25px;
}

/*=========================================
    UPLOAD
=========================================*/

/* .right-column .upload-box{ height:260px; } */

/*=========================================
    TEXTAREA
=========================================*/
textarea{ min-height:200px; }

/*=========================================
    RESPONSIVE
=========================================*/

@media(max-width:992px){
    .book-layout{
        grid-template-columns:1fr;
    }
}

/* TAMBAHAN KE TIGA */

/* Style Modal Gambar */
/* +----------------------------------------------------+ */
.container-gambar{
    width:100%;
    max-width:1000px;
    background:linear-gradient(135deg,#4f46e5,#06b6d4);
    backdrop-filter:blur(15px);
    border-radius:25px;
    padding:30px;
    box-shadow:0 10px 30px rgba(0,0,0,.2);
}

.container-gambar .upload-box{
    border:2px dashed rgba(255,255,255,.5);
    border-radius:20px;
    padding:20px;
    text-align:center;
    margin-bottom:25px;
}

.container-gambar .upload-box label{
    display:inline-block;
    padding:12px 25px;
    background:white;
    color:#4f46e5;
    border-radius:10px;
    cursor:pointer;
    font-weight:600;
}

.container-gambar .upload-box input{
    display:none;
}

.crop-container{
    display:grid;
    /* grid-template-columns:2fr 1fr; */
    grid-template-columns:1fr;
    gap:25px;
}

.image-area{
    background:white;
    border-radius:15px;
    overflow:hidden;
    min-height:250px;
}

.image-area img{
    width:100%;
    display:block;
}

.preview-panel{
    background:white;
    border-radius:15px;
    padding:20px;
}

.preview-panel h3{
    text-align:center;
    margin-bottom:15px;
    color:#333;
}

.preview{
    /* width:220px;
    height:220px; */
    width:180px;
    height:180px;
    overflow:hidden;
    margin:auto;
    border-radius:15px;
    border:3px solid #e5e7eb;
}

.btn-group{
    margin-top:20px;
    display:flex;
    flex-direction:column;
    gap:10px;
}

.main-page-input button{
    border:none;
    padding:14px;
    border-radius:10px;
    cursor:pointer;
    font-size:15px;
    font-weight:600;
}

.btn-crop{
    background:#4f46e5;
    color:white;
}

.btn-download{
    background:#10b981;
    color:white;
}

#result{
    margin-top:15px;
    text-align:center;
}

#result img{
    max-width:100%;
    border-radius:10px;
}
/* +----------------------------------------------------+ */

/* +----------------------------------------------------+ */
/* +---------------- Gambar hasil crop -----------------+ */
.cover-image-section{
    display:flex;
    justify-content:center;
    margin-top:10px;
}

.cover-image{
    position:relative;
}

.cover-image img{
    width:100%;
    height:auto;
    object-fit:cover;
    /* border:1px solid rgba(255,255,255,.9); */
    border-radius:5px;
    border:2px dashed #cfd8e3;
}

.camera-btn{
    position:absolute;
    bottom:0;
    right:-5px;
    width:42px;
    height:42px;
    border:none;
    border-radius:50%;
    background:#fff;
    color:#0a57ff;
    font-size:18px;
    cursor:pointer;
    box-shadow:0 3px 10px rgba(0,0,0,.2);
}
/* +----------------------------------------------------+ */

/* +----------------------------------------------------+ */
/* CSS PDF Card */
.pdf-card{
    width:100%;
    /* display:flex;
    justify-content:space-between;
    align-items:center; */
    padding:18px;
    border:1px solid #dfe3e8;
    border-radius:14px;
    background:#fff;
    transition:.25s;
}

.pdf-card:hover{
    border-color:#0d6efd;
    box-shadow:0 6px 20px rgba(0,0,0,.08);
}

.pdf-left{
    display:flex;
    align-items:center;
    gap:10px;
}

.pdf-icon{
    /* width:50px;
    height:50px; */
    padding:12px;
    border-radius:14px;
    background:#ffe9ea;
    display:flex;
    justify-content:center;
    align-items:center;
}

.pdf-icon i{
    color:#dc3545;
    font-size:20px;
}

.pdf-name{
    font-size:10px;
    font-weight:600;
    color:#333;
    margin-bottom:6px;
    word-break:break-all;
}

.pdf-size{
    font-size:12px;
    color:#888;
}

.pdf-action{
    display:flex;
    justify-content: space-between;
    gap:20px;
    margin-top:10px;
}

.btn-pdf{
    border:none;
    border-radius:6px;
    padding:8px 16px;
    cursor:pointer;
    display:flex;
    align-items:center;
    gap:8px;
    font-size:8px;
    transition:.2s;
}

.btn-pdf i{
    font-size:9px;
}

.btn-pdf.view{
    background:#0d6efd;
    color:#fff;
}

.btn-pdf.download{
    background:#198754;
    color:#fff;
}

.btn-pdf.delete{
    background:#dc3545;
    color:#fff;
}

.btn-pdf:disabled{
    opacity:.45;
    cursor:not-allowed;
}
/* +----------------------------------------------------+ */